﻿//////////////////////////////////////////////
// GlesTargetOperations.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

typedef unsigned int GLuint ;

/// Includes ---------------------------------

// nkGraphics
#include "../../../Compositor/TargetOperations.h"

/// Class ------------------------------------

namespace nkGraphics::gles
{
	class GlesTargetOperations final : public TargetOperations
	{
		private :

			// Attributes
			// Framebuffer
			GLuint _framebufferId ;

		public :

			// Constructor, destructor
			GlesTargetOperations () ;
			~GlesTargetOperations () ;

			// Execution
			virtual void execute () override ;
	} ;
}