﻿//////////////////////////////////////////////
// TextureCopyEffectInfo.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkGraphics
{
	class Sampler ;
	class Texture ;
}

/// Class ------------------------------------

namespace nkAstraeus
{
	struct TextureCopyEffectInfo
	{
		// Texture to work with
		nkGraphics::Texture* _sourceTexture ;
		// Sampler to use if required
		nkGraphics::Sampler* _sourceSampler ;
	} ;
}