﻿//////////////////////////////////////////////
// GlesSamplerCommand.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkGraphics::gles
{
	class GlesSampler ;
}

/// Includes ---------------------------------

// nkGraphics
#include "../GlesCommand.h"

/// Class ------------------------------------

namespace nkGraphics::gles
{
	class GlesSamplerCommand final : public GlesCommand
	{
		private :

			// Attributes
			GlesSampler* _sampler ;
			unsigned int _slot ;

		public :

			// Constructor, destructor
			GlesSamplerCommand (GlesSampler* sampler, unsigned int slot) ;
			~GlesSamplerCommand () ;

			// Execution
			virtual void execute () ;
	} ;
}